Bug 529172 - Fedora::Bugzilla - get_flag() doesn't work for all flags
Summary: Fedora::Bugzilla - get_flag() doesn't work for all flags
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Fedora-Bugzilla
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Emmanuel Seyman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-15 10:22 UTC by Jiri Pirko
Modified: 2015-05-05 01:17 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-26 16:23:43 UTC


Attachments (Terms of Use)
test script (871 bytes, application/x-perl)
2009-10-15 10:22 UTC, Jiri Pirko
no flags Details

Description Jiri Pirko 2009-10-15 10:22:28 UTC
Created attachment 364891 [details]
test script

Description of problem:

I have trouble with get_flag() method of Fedora::Bugzilla::Bug. It works for me for all flags except of "rhel-5.5.0" (and probably others). When I walk thru the flags manually, the flag is there.

Version-Release number of selected component (if applicable):

0.10-1 - I tried 0.13 from CPAN and problem is still there.

How reproducible:
always

Steps to Reproduce:
run attached script
  
Actual results:
has pm_ack
+
has rhel-5.5.0
can't get rhel-5.5.0 flag

devel_ack, +
qa_ack, +
pm_ack, +
rhel-5.5.0, +

Expected results:
has pm_ack
+
has rhel-5.5.0
+

devel_ack, +
qa_ack, +
pm_ack, +
rhel-5.5.0, +

Comment 1 Chris Weyl 2009-10-26 04:48:21 UTC
Hmm.  Oddly, I can't see the flags you mentioned in the bug referenced by the test script (private flags?), but I'll get some additional tests in place to validate the flag functionality.

Comment 2 Jiri Pirko 2009-10-26 15:24:57 UTC
(In reply to comment #1)
> Hmm.  Oddly, I can't see the flags you mentioned in the bug referenced by the
> test script (private flags?), but I'll get some additional tests in place to
> validate the flag functionality.  

Now I'm looking at this and these flags are not visible for non-rh people :( So I don't know how to solve this...

Comment 3 Chris Weyl 2009-10-29 05:02:25 UTC
Hmm.  If you can, get me some of the XML from that bug...  Giving me the full XML is probably a no-no, but if you can get me the flag elements from it I can rig some tests and make sure we're doing the right thing here.

Comment 4 Bug Zapper 2010-04-28 10:50:24 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Petr Pisar 2010-06-14 14:40:50 UTC
Still on F-13. Perl complains in XML::RPC::Client->new() in addition:

Odd number of elements in hash assignment at /usr/lib/perl5/vendor_perl/5.10.0/RPC/XML/Client.pm line 81 (perl-RPC-XML-0.69-1.fc12.noarch).

Moving to F-12.

Comment 6 Fedora Update System 2010-06-16 11:57:10 UTC
perl-Fedora-Bugzilla-0.13-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-Fedora-Bugzilla-0.13-3.fc13

Comment 7 Petr Pisar 2010-06-16 12:53:14 UTC
perl-Fedora-Bugzilla-0.13-3.fc13 does not fix this bug. Upstream has not fixed this issue yet. Please ignore faulty announcement about perl-Fedora-Bugzilla-0.13-3.fc13.

Comment 8 Bug Zapper 2010-11-04 09:26:19 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Jiri Pirko 2010-11-04 09:41:26 UTC
I believe that this is still present. Resetting to F13

Comment 10 Bug Zapper 2011-06-02 17:36:35 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 11 Marcela Mašláňová 2011-06-03 07:02:33 UTC
Still problem.

Comment 12 Fedora Admin XMLRPC Client 2012-01-11 21:55:11 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 13 Emmanuel Seyman 2012-08-26 16:23:43 UTC
This package has been orphaned.


Note You need to log in before you can comment on or make changes to this bug.